- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::DataBuf Member List

This is the complete list of members for Exiv2::DataBuf, including all inherited members.

alloc(long size) | Exiv2::DataBuf |
DataBuf() | Exiv2::DataBuf | `[inline]`
DataBuf(long size) | Exiv2::DataBuf | `[inline, explicit]`
DataBuf(const byte *pData, long size) | Exiv2::DataBuf |
DataBuf(DataBuf &rhs) | Exiv2::DataBuf |
DataBuf(DataBufRef rhs) (defined in Exiv2::DataBuf) | Exiv2::DataBuf | `[inline]`
operator DataBufRef() (defined in Exiv2::DataBuf) | Exiv2::DataBuf | `[inline]`
operator=(DataBuf &rhs) | Exiv2::DataBuf |
operator=(DataBufRef rhs) (defined in Exiv2::DataBuf) | Exiv2::DataBuf | `[inline]`
pData_ | Exiv2::DataBuf |
release() | Exiv2::DataBuf |
reset(std::pair< byte *, long >=std::make_pair((byte *)(0), long(0))) | Exiv2::DataBuf |
size_ | Exiv2::DataBuf |
~DataBuf() | Exiv2::DataBuf | `[inline]`